
function CheckSouGouDll()
	local osshellObj = XLGetObject("Xunlei.OSShell.Obj")
	local bLoadDll = osshellObj:IsDllLoadByProcess("ThunderPlatform.exe", "Sogouipfilter.dll")
	local bCSectionIp = osshellObj:IsLocalIpInCSection()

	if bLoadDll and bCSectionIp then
		return 1
	else
		return 0
	end

end

function RepairSouGouDll()
	return 0
end